org.apache.hc.core5.testing.classic

## Class LoggingBHttpServerConnectionFactory

- java.lang.Object
- - org.apache.hc.core5.testing.classic.LoggingBHttpServerConnectionFactory

- All Implemented Interfaces:
    HttpConnectionFactory<LoggingBHttpServerConnection>

      public class LoggingBHttpServerConnectionFactory
      extends Object
      implements HttpConnectionFactory<LoggingBHttpServerConnection>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LoggingBHttpServerConnectionFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingBHttpServerConnectionFactory()`
    `LoggingBHttpServerConnectionFactory(String scheme, Http1Config http1Config, CharCodingConfig charCodingConfig)`
    `LoggingBHttpServerConnectionFactory(String scheme, Http1Config http1Config, CharCodingConfig charCodingConfig, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, HttpMessageParserFactory<ClassicHttpRequest> requestParserFactory, HttpMessageWriterFactory<ClassicHttpResponse> responseWriterFactory)`
    `LoggingBHttpServerConnectionFactory(String scheme, Http1Config http1Config, CharCodingConfig charCodingConfig, HttpMessageParserFactory<ClassicHttpRequest> requestParserFactory, HttpMessageWriterFactory<ClassicHttpResponse> responseWriterFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoggingBHttpServerConnection` | `createConnection(Socket socket)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final LoggingBHttpServerConnectionFactory INSTANCE

  - ### Constructor Detail

    - #### LoggingBHttpServerConnectionFactory

          public LoggingBHttpServerConnectionFactory(String scheme,
                                                     Http1Config http1Config,
                                                     CharCodingConfig charCodingConfig,
                                                     ContentLengthStrategy incomingContentStrategy,
                                                     ContentLengthStrategy outgoingContentStrategy,
                                                     HttpMessageParserFactory<ClassicHttpRequest> requestParserFactory,
                                                     HttpMessageWriterFactory<ClassicHttpResponse> responseWriterFactory)

    - #### LoggingBHttpServerConnectionFactory

          public LoggingBHttpServerConnectionFactory(String scheme,
                                                     Http1Config http1Config,
                                                     CharCodingConfig charCodingConfig,
                                                     HttpMessageParserFactory<ClassicHttpRequest> requestParserFactory,
                                                     HttpMessageWriterFactory<ClassicHttpResponse> responseWriterFactory)

    - #### LoggingBHttpServerConnectionFactory

          public LoggingBHttpServerConnectionFactory(String scheme,
                                                     Http1Config http1Config,
                                                     CharCodingConfig charCodingConfig)

    - #### LoggingBHttpServerConnectionFactory

          public LoggingBHttpServerConnectionFactory()

  - ### Method Detail

    - #### createConnection

          public LoggingBHttpServerConnection createConnection(Socket socket)
                                                        throws IOException

      Specified by:
        `createConnection` in interface `HttpConnectionFactory<LoggingBHttpServerConnection>`
      Throws:
        `IOException`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.